ru.bitel.bgbilling.modules.hd.common.bean

## Class ZoneWhois

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.hd.common.bean.ZoneWhois

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class ZoneWhois
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZoneWhois()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getFreeDate()`
    `Period` | `getPeriod()`
    `java.lang.String` | `getRegistrar()`
    `java.util.Date` | `getWhoisLastUpdate()`
    `java.lang.String` | `getZone()`
    `boolean` | `isLoadWhois()`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setFreeDate(java.util.Date freeDate)`
    `void` | `setLoadWhois(boolean loadWhois)`
    `void` | `setPeriod(Period period)`
    `void` | `setRegistrar(java.lang.String registrar)`
    `void` | `setWhoisLastUpdate(java.util.Date whoisLastUpdate)`
    `void` | `setZone(java.lang.String zone)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZoneWhois

          public ZoneWhois()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getZone

          public java.lang.String getZone()

    - #### setZone

          public void setZone(java.lang.String zone)

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### isLoadWhois

          public boolean isLoadWhois()

    - #### setLoadWhois

          public void setLoadWhois(boolean loadWhois)

    - #### getWhoisLastUpdate

          public java.util.Date getWhoisLastUpdate()

    - #### setWhoisLastUpdate

          public void setWhoisLastUpdate(java.util.Date whoisLastUpdate)

    - #### getFreeDate

          public java.util.Date getFreeDate()

    - #### setFreeDate

          public void setFreeDate(java.util.Date freeDate)

    - #### getRegistrar

          public java.lang.String getRegistrar()

    - #### setRegistrar

          public void setRegistrar(java.lang.String registrar)